svn commit: r265162 - in head: . sys/tools/fdt

Warner Losh imp at FreeBSD.org
Wed Apr 30 20:47:41 UTC 2014


Author: imp
Date: Wed Apr 30 20:47:40 2014
New Revision: 265162
URL: http://svnweb.freebsd.org/changeset/base/265162

Log:
  Turns out this .if evaluated not in the context of the makedtb target
  sometimes due to Makefile expansion rules. Make the test for things
  being NULL elsewhere...

Modified:
  head/Makefile.inc1
  head/sys/tools/fdt/make_dtb.sh   (contents, props changed)

Modified: head/Makefile.inc1
==============================================================================
--- head/Makefile.inc1	Wed Apr 30 20:46:52 2014	(r265161)
+++ head/Makefile.inc1	Wed Apr 30 20:47:40 2014	(r265162)
@@ -1830,9 +1830,6 @@ DTBOUTPUTPATH= ${.CURDIR}
 # Build 'standalone' Device Tree Blob
 #
 builddtb:
-.if !defined(FDT_DTS_FILE)
-.error "FDT_DTS_FILE must be specified!"
-.endif
 	@PATH=${TMPPATH} MACHINE=${TARGET} \
 	${.CURDIR}/sys/tools/fdt/make_dtb.sh ${.CURDIR}/sys \
 	    "${FDT_DTS_FILE}" ${DTBOUTPUTPATH}

Modified: head/sys/tools/fdt/make_dtb.sh
==============================================================================
--- head/sys/tools/fdt/make_dtb.sh	Wed Apr 30 20:46:52 2014	(r265161)
+++ head/sys/tools/fdt/make_dtb.sh	Wed Apr 30 20:47:40 2014	(r265162)
@@ -7,6 +7,11 @@ S=$1
 dts="$2"
 dtb_path=$3
 
+if [ -n "$dts" ]; then
+    echo "No DTS specified"
+    exit 1
+fi
+
 for d in ${dts}; do
     dtb=${dtb_path}/`basename $d .dts`.dtb
     echo "converting $d -> $dtb"


More information about the svn-src-all mailing list